<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  RSS2.0表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.pc.view
 */
class rss20Action extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $comment = $request['comment'];

        /**
         *  メイン情報の取得、設定
         */
         if (isset($comment))
         {
            // 最新のコメント一覧情報（RSS用）の取得、設定
            $this->assign('rss_list', db_get_topic_comments4latest_comment_rss(NEWS_SIZE));
         }
         else {
            // 最新のトピック一覧情報（RSS用）の取得、設定
            $this->assign('rss_list', db_get_topics4latest_topic_rss(NEWS_SIZE));
         }

        // HTTPヘッダの設定
        $controller->setContentType("Content-type: text/xml;charset=" . $this->smarty->output_charset);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
